magic-1.1: Interface to C file/magic library

Copyright | Copyright (C) 2005 John Goerzen
License | BSD
Maintainer | John Goerzen,
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Magic.Init

Description

Initialization and shutdown for magic programs

Written by John Goerzen, jgoerzen@complete.org

Synopsis

- magicOpen :: [MagicFlag] -> IO Magic
- magicLoad :: Magic -> String -> IO ()
- magicLoadDefault :: Magic -> IO ()

# Documentation

magicOpen :: [MagicFlag] -> IO Magic Source #

Create a Magic object. You must call either `magicLoadDefault` or `magicLoad` after this.

magicLoad :: Magic -> String -> IO () Source #

Load the specified magic database(s). The given string may contain multiple colon-separated pathnames.

magicLoadDefault :: Magic -> IO () Source #

Load the system's default magic database.